Namespace
library
Image / Tag
consul:1.10.6
Content Digest
sha256:28dcafbb5fd7156a21013530335876e89d181997bf849cbfd31d1d990508083c
Details
Created

2021-12-16 01:39:00 UTC

Size

41.1 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.10.6

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:afe0e1febe23918824088b45b415ce1778e92899ae26f0867294eb91de50aa4f - 6.57% (2.7 MB)

[#001] sha256:48ed83b643354f8efa96350c80933ea54b91abf0e55d694c78b6d9e3f24500a3 - 0.0% (1.23 KB)

[#002] sha256:437e258679874aa17374e6048e5e8f970f1845a5b019bcd1ebe7711c77524606 - 93.42% (38.4 MB)

[#003] sha256:6a053c19daa550296d6d5d85b0e288a981eda10536b7ff8ee145764870fddf84 - 0.0% (174 Bytes)

[#004] sha256:3abfbdc428ce186954267ebc43aef0754749e1c3e69d098abdaea1a97495a115 - 0.0% (155 Bytes)

[#005] sha256:0dc23257eb575d3c76177e9c04a514fd16daaca2344545a79f04ede68f5e1c3c - 0.0% (1.74 KB)


History
2021-11-12 16:38:50 UTC

/bin/sh -c #(nop) ADD file:f6503c5a96198c02627cf7250b271ec6d49ffa83a87a588498eee61ba7f9c6fe in /

2021-11-12 16:38:50 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2021-12-16 01:38:47 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.10.6

2021-12-16 01:38:47 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.10.6 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2021-12-16 01:38:47 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2021-12-16 01:38:48 UTC

|1 CONSUL_VERSION=1.10.6 /bin/sh -c addgroup consul && adduser -S -G consul consul

2021-12-16 01:38:56 UTC

|1 CONSUL_VERSION=1.10.6 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2021-12-16 01:38:57 UTC

|1 CONSUL_VERSION=1.10.6 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2021-12-16 01:38:58 UTC

|1 CONSUL_VERSION=1.10.6 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2021-12-16 01:38:58 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2021-12-16 01:38:58 UTC

/bin/sh -c #(nop) EXPOSE 8300

2021-12-16 01:38:59 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2021-12-16 01:38:59 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2021-12-16 01:38:59 UTC

/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh

2021-12-16 01:38:59 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2021-12-16 01:39:00 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2021-12-16 01:19:56 UTC

Size

41.7 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.10.6

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:5758d4e389a3f662e94a85fb76143dbe338b64f8d2a65f45536a9663b05305ad - 6.46% (2.69 MB)

[#001] sha256:1d98dd5d86467518fd903fec60a410cec597d61f8ee00634d24879e234dab66d - 0.0% (1.23 KB)

[#002] sha256:b91cf4bb3871502e7763eca77c53deea4cd1104599e3ad89929f13f42bbe96c3 - 93.53% (39 MB)

[#003] sha256:77243649b935b498d937deac29f6d2af0c688f7d874d2f8fb1c7d556ee1ce31d - 0.0% (174 Bytes)

[#004] sha256:894b1d6a77832f3d1b4cbef7a3327b0d1dce70d071012a6ab6defc8ba8ff0e1d - 0.0% (153 Bytes)

[#005] sha256:a990d24f5644d623b6d4533d25f7b0a4db0e13b4061517eeb8f55f281b315a21 - 0.0% (1.74 KB)


History
2021-11-12 17:19:58 UTC

/bin/sh -c #(nop) ADD file:5a707b9d6cb5fff532e4c2141bc35707593f21da5528c9e71ae2ddb6ba4a4eb6 in /

2021-11-12 17:19:58 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2021-12-16 01:19:40 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.10.6

2021-12-16 01:19:40 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.10.6 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2021-12-16 01:19:41 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2021-12-16 01:19:42 UTC

|1 CONSUL_VERSION=1.10.6 /bin/sh -c addgroup consul && adduser -S -G consul consul

2021-12-16 01:19:52 UTC

|1 CONSUL_VERSION=1.10.6 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2021-12-16 01:19:53 UTC

|1 CONSUL_VERSION=1.10.6 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2021-12-16 01:19:54 UTC

|1 CONSUL_VERSION=1.10.6 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2021-12-16 01:19:54 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2021-12-16 01:19:55 UTC

/bin/sh -c #(nop) EXPOSE 8300

2021-12-16 01:19:55 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2021-12-16 01:19:55 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2021-12-16 01:19:55 UTC

/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh

2021-12-16 01:19:55 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2021-12-16 01:19:56 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2021-12-16 01:50:32 UTC

Size

39.8 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.10.6

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:846f3a0f3493d22f22643b6a1c057d2d37e608433cd1033d25dac92032b8b9e3 - 6.31% (2.51 MB)

[#001] sha256:fce061c299357780291c4c85c525b32f21beb673217e3107ae5666d13f315c2d - 0.0% (1.23 KB)

[#002] sha256:c2cf2956bf8570b0ea4e682126bc182f7d474190cdab12c0304365d71dc9f53d - 93.69% (37.3 MB)

[#003] sha256:2df8832213ae2f3a64c59c42d002573bcbdb10dd0c9c2f8759112eba3878adeb - 0.0% (176 Bytes)

[#004] sha256:20603e24722912e412e52e2d5a978d57f4d518864d3ca92857179ebe652c38a8 - 0.0% (155 Bytes)

[#005] sha256:ae7d2b319e1ca69df587401ec09d65e45cedac68c056cb6a6970c8166cab561f - 0.0% (1.74 KB)


History
2021-11-12 16:49:57 UTC

/bin/sh -c #(nop) ADD file:26e756fd544e28ae75be38d81452cf3266a2dabcffe9ecce3af2db9fde9edea3 in /

2021-11-12 16:49:58 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2021-12-16 01:50:08 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.10.6

2021-12-16 01:50:09 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.10.6 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2021-12-16 01:50:09 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2021-12-16 01:50:11 UTC

|1 CONSUL_VERSION=1.10.6 /bin/sh -c addgroup consul && adduser -S -G consul consul

2021-12-16 01:50:26 UTC

|1 CONSUL_VERSION=1.10.6 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2021-12-16 01:50:27 UTC

|1 CONSUL_VERSION=1.10.6 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2021-12-16 01:50:29 UTC

|1 CONSUL_VERSION=1.10.6 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2021-12-16 01:50:29 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2021-12-16 01:50:30 UTC

/bin/sh -c #(nop) EXPOSE 8300

2021-12-16 01:50:30 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2021-12-16 01:50:31 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2021-12-16 01:50:31 UTC

/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh

2021-12-16 01:50:32 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2021-12-16 01:50:32 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2021-12-16 01:40:14 UTC

Size

39.8 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.10.6

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:06decbbdea2401b400024fb2feadd51ee381cd4b7b78a30306c3828ec9f6c760 - 6.52% (2.59 MB)

[#001] sha256:49daa1a70dbb349fb4586158e33af0139998e0a1c75a73c90fb523c7c28c4066 - 0.0% (1.2 KB)

[#002] sha256:6740e8b283265c91b8e399470838b250e7a24c9118a27c874ea7bb0ff2f14a06 - 93.47% (37.2 MB)

[#003] sha256:4c0879dc0c089c9d87ddfcaad3a5e209ed5fe45afb6224e857acef4d7284ab5f - 0.0% (142 Bytes)

[#004] sha256:5324728f4f7387e44358f81863e92ebfbf64becfa156f2308046a95832fc9664 - 0.0% (154 Bytes)

[#005] sha256:1823c9f417f7dcc01c48432e3416f49bb69634ef052f934891dd6f3814ba7b66 - 0.0% (1.74 KB)


History
2021-11-12 16:40:05 UTC

/bin/sh -c #(nop) ADD file:ad85e8724ab9b90e37aadca9513807d07d557e7fc4287ca017f01f269aff3920 in /

2021-11-12 16:40:06 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2021-12-16 01:39:57 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.10.6

2021-12-16 01:39:57 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.10.6 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2021-12-16 01:39:58 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2021-12-16 01:39:59 UTC

|1 CONSUL_VERSION=1.10.6 /bin/sh -c addgroup consul && adduser -S -G consul consul

2021-12-16 01:40:05 UTC

|1 CONSUL_VERSION=1.10.6 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2021-12-16 01:40:06 UTC

|1 CONSUL_VERSION=1.10.6 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2021-12-16 01:40:07 UTC

|1 CONSUL_VERSION=1.10.6 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2021-12-16 01:40:08 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2021-12-16 01:40:09 UTC

/bin/sh -c #(nop) EXPOSE 8300

2021-12-16 01:40:10 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2021-12-16 01:40:11 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2021-12-16 01:40:13 UTC

/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh

2021-12-16 01:40:13 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2021-12-16 01:40:14 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]